xiegu-x6100 Upgraded hamlib to the latest version (4.6.5) and upgraded the X6100 factory firmware to latest version (1.1.9 APP / 1.1.8 BASE) to resolve JS8Call timeout issue. It did not resolve the problem, but I am keeping the upgraded Hamlib version

This commit is contained in:
thetechprepper
2025-10-06 15:17:57 -07:00
parent bc5cc8234d
commit 7f862e306c
3 changed files with 42 additions and 29 deletions
+27 -25
View File
@@ -2,46 +2,48 @@
#
# Author : Gaston Gonzalez
# Date : 25 November 2022
# Updated : 19 May 2024
# Purpose : Install hamlib for rig control
# Updated : 6 October 2025
# Purpose : Install hamlib for rig control (rigctld)
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
ET_DIST_DIR=/opt/dist
ET_SRC_DIR=/opt/src
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
VERSION=4.5
APP_AND_VERSION=hamlib-$VERSION
TARBALL=$APP_AND_VERSION.tar.gz
URL=https://github.com/Hamlib/Hamlib/releases/download/$VERSION/$TARBALL
INSTALL_DIR=/opt/$APP_AND_VERSION
LINK_PATH=/opt/hamlib
APP="hamlib"
VERSION=4.6.5
APP_AND_VERSION="${APP}-${VERSION}"
INSTALL_DIR="/opt/${APP_AND_VERSION}"
LINK_PATH="/opt/${APP}"
TARBALL=${APP_AND_VERSION}.tar.gz
URL=https://github.com/Hamlib/Hamlib/releases/download/${VERSION}/${TARBALL}
if [ ! -e $ET_DIST_DIR/$TARBALL ]; then
if [[ ! -e $ET_DIST_DIR/$TARBALL ]]; then
et-log "Downloading hamlib: $URL "
curl -s -L -O --fail $URL
download_with_retries ${URL} ${TARBALL}
[ ! -e $ET_DIST_DIR ] && mkdir -v $ET_DIST_DIR
[ ! -e $ET_SRC_DIR ] && mkdir -v $ET_SRC_DIR
[ ! -e ${ET_DIST_DIR} ] && mkdir -v ${ET_DIST_DIR}
[ ! -e ${ET_SRC_DIR} ] && mkdir -v ${ET_SRC_DIR}
mv $TARBALL $ET_DIST_DIR
mv ${TARBALL} ${ET_DIST_DIR}
fi
CWD_DIR=`pwd`
cd $ET_SRC_DIR
et-log "Unpacking $ET_DIST_DIR/$TARBALL"
tar -xzf $ET_DIST_DIR/$TARBALL && cd $APP_AND_VERSION
cd ${ET_SRC_DIR}
et-log "Unpacking ${ET_DIST_DIR}/${TARBALL}"
tar -xzf ${ET_DIST_DIR}/${TARBALL} && cd ${APP_AND_VERSION}
[ ! -e $INSTALL_DIR ] && mkdir -v $INSTALL_DIR
[ ! -e ${INSTALL_DIR} ] && mkdir -v ${INSTALL_DIR}
et-log "Building Hamlib $VERSION"
./configure --prefix=$INSTALL_DIR
et-log "Building Hamlib ${VERSION}"
./configure --prefix=${INSTALL_DIR}
make && make check && make install
[ -e $LINK_PATH ] && rm $LINK_PATH
ln -v -s $INSTALL_DIR $LINK_PATH
[ -e ${LINK_PATH} ] && rm ${LINK_PATH}
ln -v -s ${INSTALL_DIR} ${LINK_PATH}
stow -v -d /opt hamlib -t /usr/local
stow -v -d /opt ${APP} -t /usr/local
cd $CWD_DIR